io.etcd.jetcd.auth

## Class AuthUserGetResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<AuthUserGetResponse>
  - - io.etcd.jetcd.auth.AuthUserGetResponse

All Implemented Interfaces:
  Response

    public class AuthUserGetResponse
    extends AbstractResponse<AuthUserGetResponse>

AuthUserGetResponse returned by `Auth#userGet(ByteSequence)` contains a header and a list of roles associated with the user.

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`AuthUserGetResponse(AuthUserGetResponse response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getRoles()` returns a list of roles.

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AuthUserGetResponse

    public AuthUserGetResponse(AuthUserGetResponse response)

### Method Detail

#### getRoles

    public List<String> getRoles()

returns a list of roles.